import { defineStore } from "pinia";
import piniaPersistOption from "../config/piniaPersist";

export const useStudentStore = defineStore({
  id: "studentStore",
  state() {
    return {
      infoData: {} as any,
      openId: "",
    };
  },
  getters: {},
  actions: {
    setInfoData(infoData: any) {
      this.infoData = infoData;
    },
    setOpenId(openId: string) {
      this.openId = openId;
    },
  },
  persist: piniaPersistOption("studentStore"),
});
